import { Meta, Story } from "@storybook/react/types-6-0";
import { Overlay, OverlayProps } from "./index";
import React from "react";

export default {
  title: "Overlay",
  component: Overlay,
  argTypes: {}
} as Meta;

const Template: Story<OverlayProps & { sibling }> = (args) => (
  <div className={"relative h-20 text-white"}>
    <Overlay {...args} />
    {args.sibling}
  </div>
);

export const Default = Template.bind({});
Default.args = {
  children: "This is a default overlay"
};

export const Sibling = Template.bind({});
Sibling.args = {
  children: "This overlay as a sibling",
  sibling: <div className="relative top-12 m-2 px-2 bg-white text-black">I am that sibling</div>
};

export const WithColor = Template.bind({});
WithColor.args = {
  children: "This is a colored overlay",
  color: 'rgba(0, 64, 0, 0.7)'
};